radvd exits -1 intermittently in test_ha_router_process_ipv6_subnets_to_existing_port functional test

Bug #1466663 reported by Terry Wilson on 2015-06-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
Medium
Sridhar Gaddam
Kilo
Undecided
Unassigned

Bug Description

An example of the failure: http://logs.openstack.org/91/189391/6/check/check-neutron-dsvm-functional/0ba6e51/console.html

A logstash query: http://logstash.openstack.org/#eyJzZWFyY2giOiJDb21tYW5kIEFORCByYWR2ZC5jb25mIiwiZmllbGRzIjpbXSwib2Zmc2V0IjowLCJ0aW1lZnJhbWUiOiIxNzI4MDAiLCJncmFwaG1vZGUiOiJjb3VudCIsInRpbWUiOnsidXNlcl9pbnRlcnZhbCI6MH0sInN0YW1wIjoxNDM0NjYzNTQ3ODU5fQ==

 ERROR neutron.agent.l3.router_info Command: ['ip', 'netns', 'exec', 'qrouter-c37cf4a8-bf31-42a1-abb8-579c583e7ea9', 'radvd', '-C', '/tmp/tmpidCgIT/tmplIquzu/ra/c37cf4a8-bf31-42a1-abb8-579c583e7ea9.radvd.conf', '-p', '/tmp/tmpidCgIT/tmplIquzu/external/pids/c37cf4a8-bf31-42a1-abb8-579c583e7ea9.pid.radvd', '-m', 'syslog']

Assaf Muller (amuller) on 2015-06-19
Changed in neutron:
status: New → Confirmed
importance: Undecided → Medium
Changed in neutron:
assignee: nobody → Sridhar Gaddam (sridhargaddam)
Changed in neutron:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/193624
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=27503dad33bb045ac840f13a3e5fc0a5b603abb1
Submitter: Jenkins
Branch: master

commit 27503dad33bb045ac840f13a3e5fc0a5b603abb1
Author: sridhargaddam <email address hidden>
Date: Fri Jun 19 16:17:01 2015 +0000

    Fix race condition by using lock on enable_radvd

    For an HA Router, radvd is spawned only in the Master Node.
    KeepalivedStateChangeHandler after receiving the state notification
    on the unix domain socket, would either enable/disable the radvd
    process depending on the state of the HA Router. In parallel, if
    there is a request to add an interface to the router, router.process()
    would try to enable radvd in parallel. So there is a possible race
    condition as two threads try to enable radvd in parallel. This patch
    uses appropriate locking mechanism to prevent this race condition.

    Closes-Bug: #1466663
    Change-Id: I40df78cc57fcde5512336d9dfef88b3b06a69bcb

Changed in neutron:
status: In Progress → Fix Committed
Changed in neutron:
milestone: none → liberty-2
status: Fix Committed → Fix Released
Download full text (70.7 KiB)

Reviewed: https://review.openstack.org/207903
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=9badcd249dab2d3330f0cd608496b59c9f44499a
Submitter: Jenkins
Branch: feature/pecan

commit 991ea00e6c115343eabecc62e86072175823f81f
Author: Moshe Levi <email address hidden>
Date: Thu Jul 30 12:04:15 2015 +0300

    SR-IOV: Fix SR-IOV agent to run ip link commands as root

    Commit https://review.openstack.org/#/c/155523/
    remove the remaining root_helper args, but didn't
    update the SR-IOV agent to execute them as root.

    This patch updates the agent to execute ip link commands
    as root and pass options argument as a list in the
    self._as_root method.

    Closes-Bug: #1479694
    Change-Id: I53cafd61845a69fae3a759fb7526950d655ffa20

commit 5b3bacedf6c014815bef03c2e821b5eb8ef92dcb
Author: Saksham Varma <email address hidden>
Date: Thu Jul 23 22:46:23 2015 -0700

    Moved out cisco n1kv mech driver and db models

    Moving out Cisco N1Kv database models and the mech driver
    to the openstack/networking-cisco repo as part of the second
    phase vendor-core decomposition

    Partial-Bug: #1479123
    Partial-implements: blueprint core-vendor-decomposition

    Change-Id: I65a704b238d8cbe2951a6912fa4f1e8518c6f412

commit 65ac8cd0a80548e115b8ec1d4cfd47a94422fddf
Author: OpenStack Proposal Bot <email address hidden>
Date: Wed Jul 29 20:44:01 2015 +0000

    Updated from global requirements

    Change-Id: I3a884a73d51df0f93b5cc88b3e3250d81bb1f455

commit f0e8356d04d04600c072a1c0f0bdf274ff19ab8c
Author: sridhargaddam <email address hidden>
Date: Mon Jul 27 03:46:48 2015 +0000

    Update dhcp agent cache for network:dhcp ports

    When a network with a dhcp_enabled subnet is scheduled on a dhcp
    agent, dhcp driver creates the network:dhcp port for the subnet.
    However, the port info is not updated in dhcp agents internal cache.
    Subsequently if the user deletes the network:dhcp port, the port is
    properly deleted on the server side (i.e., in the database) and when
    the port_delete_end notification is sent to the dhcp agent, it simply
    ignores it as the port entry would be missing in the cache. This patch
    fixes this issue by updating the dhcp agents cache when dhcp driver
    creates the network:dhcp port for the subnets.

    Closes-Bug: #1478426
    Change-Id: I69f5834dd964a4320c606c4e0aa2cdba70416943

commit cb60d0bb4e0cc0cba68f59fdf5f4e89d6ec52950
Author: changzhi <email address hidden>
Date: Thu Jul 16 10:14:16 2015 +0800

    Keep dns nameserver order consistency

    Currently, there is no dns servers prioritization for subnets
    for Neutron.

    Generally speaking, it is useful to keep the order of dns
    nameservers consistent. Add a new column named 'order' in table
    'dnsnameservers' and add nameserver into DB one by one.

    Closes-Bug: #1218629
    Implements: blueprint keep-dns-nameserver-orderconsistency
    Change-Id: Id937aea411397d39370368a4eb45be26c4eefa9e

commit b39e1469e824bc8bc79e1ecafa98825a94811c0b
Author: Salvatore Orlando <email address hidden>
Date: Tue Jun 23 04:54:2...

tags: added: in-feature-pecan

Reviewed: https://review.openstack.org/205373
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=1a1cc3d44b1bcebb06b403838b670238ec584ca3
Submitter: Jenkins
Branch: stable/kilo

commit 1a1cc3d44b1bcebb06b403838b670238ec584ca3
Author: sridhargaddam <email address hidden>
Date: Fri Jun 19 16:17:01 2015 +0000

    Fix race condition by using lock on enable_radvd

    For an HA Router, radvd is spawned only in the Master Node.
    KeepalivedStateChangeHandler after receiving the state notification
    on the unix domain socket, would either enable/disable the radvd
    process depending on the state of the HA Router. In parallel, if
    there is a request to add an interface to the router, router.process()
    would try to enable radvd in parallel. So there is a possible race
    condition as two threads try to enable radvd in parallel. This patch
    uses appropriate locking mechanism to prevent this race condition.

    Closes-Bug: #1466663
    Change-Id: I40df78cc57fcde5512336d9dfef88b3b06a69bcb
    (cherry picked from commit 27503dad33bb045ac840f13a3e5fc0a5b603abb1)

tags: added: in-stable-kilo
Thierry Carrez (ttx) on 2015-10-15
Changed in neutron:
milestone: liberty-2 → 7.0.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers